Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.cxml.messaging
Class CXMLDocument

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.bea.b2b.protocol.messaging.XMLPart
                  |
                  +--com.bea.b2b.protocol.messaging.BusinessDocument
                        |
                        +--com.bea.b2b.protocol.cxml.messaging.CXMLDocument

public class CXMLDocument
extends BusinessDocument

The CXMLDocument class is a concrete class that supports a CXML document.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getAsString()` Gets the cXML part as a String.
`org.w3c.dom.Document` | `getDocument()` Gets the associated XML Document.
`java.lang.String` | `getFromCredentialDomain()` Gets the From Credential Domain from the document Header.
`java.lang.String` | `getFromCredentialIdentity()` Gets the From Credential Identity from the document Header.
`java.lang.String` | `getIdentifier()` Gets either the document identifier or the message identifier, as appropriate.
`java.lang.String` | `getNodeValue(java.lang.String expression)` Gets the value of a document node using the specified XPath expression to locate the node.
`java.lang.String[]` | `getNodeValues(java.lang.String expression)` Gets the values of a document node using the specified XPath expression to locate the node.
`java.lang.String` | `getSenderCredentialDomain()` Gets the Sender Credential Domain from the document Header.
`java.lang.String` | `getSenderCredentialIdentity()` Gets the Sender Credential Identity from the document Header.
`java.lang.String` | `getSenderSharedSecret()` Gets the Sender Credential Shared Secret from the document Header.
`java.lang.String` | `getSenderUserAgent()` Gets the Sender User Agent from the document Header.
`java.lang.String` | `getTimeStamp()` Gets either the document timestamp or the message timestamp, as appropriate.
`java.lang.String[]` | `getToCredentialDomains()` Gets the To Credential Domains from the document Header.
`java.lang.String[]` | `getToCredentialIdentities()` Gets the To Credential Identities from the document Header.
`java.lang.String` | `getTransactionName()` Gets the Transaction name.
`java.lang.String` | `getVersion()` Gets the document version.
`void` | `setDocument(org.w3c.dom.Document doc)` Sets the associated XML document.
`void` | `setNodeValue(java.lang.String expression, java.lang.String value)` Sets the value of a document node using the specified XPath expression to locate the node.
`void` | `setSenderSharedSecret(java.lang.String secret)` Sets the Sender Credential Shared Secret in the document Header.

Methods inherited from class com.bea.b2b.protocol.messaging.BusinessDocument
`getContentType, getDocumentNoValidation, read, readDOM, writeDOM`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAsString

    public java.lang.String getAsString()

  Gets the cXML part as a String.

### getNodeValue

    public java.lang.String getNodeValue(java.lang.String expression)

  Gets the value of a document node using the specified XPath expression to locate the node. If multiple nodes match the XPath expression, then only the first node will be used.

  Parameters:
    `expression` - XPath expression.
  Returns:
    String - Document node value.

### getNodeValues

    public java.lang.String[] getNodeValues(java.lang.String expression)

  Gets the values of a document node using the specified XPath expression to locate the node.

  Parameters:
    `expression` - XPath expression.
  Returns:
    String[] - Document node values.

### setNodeValue

    public void setNodeValue(java.lang.String expression,
                             java.lang.String value)
                      throws org.xml.sax.SAXException

  Sets the value of a document node using the specified XPath expression to locate the node.

  Parameters:
    `expression` - - XPath expression.
    `value` - Document node value.

### getIdentifier

    public java.lang.String getIdentifier()

  Gets either the document identifier or the message identifier, as appropriate.

  Returns:
    String - Document or message identifier.

### getVersion

    public java.lang.String getVersion()

  Gets the document version.

  Returns:
    String - Document Version.

### getTransactionName

    public java.lang.String getTransactionName()

  Gets the Transaction name. It takes out Request or Response from Transaction Name.

  Returns:
    String - Transaction Name.

### getTimeStamp

    public java.lang.String getTimeStamp()

  Gets either the document timestamp or the message timestamp, as appropriate.

  Returns:
    String - Document or message timestamp.

### getDocument

    public org.w3c.dom.Document getDocument()

  Gets the associated XML Document.

  Returns:
    XML LDocument
  Overrides:
    getDocument in class BusinessDocument

### setDocument

    public void setDocument(org.w3c.dom.Document doc)

  Sets the associated XML document.

  Parameters:
    `doc` - XML document
  Overrides:
    setDocument in class BusinessDocument

### getFromCredentialDomain

    public java.lang.String getFromCredentialDomain()

  Gets the From Credential Domain from the document Header.

  Returns:
    String - The From Credential Domain from the document Header.

### getFromCredentialIdentity

    public java.lang.String getFromCredentialIdentity()

  Gets the From Credential Identity from the document Header.

  Returns:
    String - The From Credential Identity from the document Header.

### getToCredentialDomains

    public java.lang.String[] getToCredentialDomains()

  Gets the To Credential Domains from the document Header.

  Returns:
    String[] - The To Credential Domains from the document Header.

### getToCredentialIdentities

    public java.lang.String[] getToCredentialIdentities()

  Gets the To Credential Identities from the document Header.

  Returns:
    String[] - The To Credential Identities from the document Header.

### getSenderCredentialDomain

    public java.lang.String getSenderCredentialDomain()

  Gets the Sender Credential Domain from the document Header.

  Returns:
    String - The Sender Credential Domain from the document Header.

### getSenderCredentialIdentity

    public java.lang.String getSenderCredentialIdentity()

  Gets the Sender Credential Identity from the document Header.

  Returns:
    String - The Sender Credential Identity from the document Header.

### getSenderSharedSecret

    public java.lang.String getSenderSharedSecret()

  Gets the Sender Credential Shared Secret from the document Header.

  Returns:
    String - The Sender Credential Shared Secret from the document Header.

### setSenderSharedSecret

    public void setSenderSharedSecret(java.lang.String secret)
                               throws org.xml.sax.SAXException

  Sets the Sender Credential Shared Secret in the document Header.

  Parameters:
    `String` - - The Sender Credential Shared Secret in the document Header.

### getSenderUserAgent

    public java.lang.String getSenderUserAgent()

  Gets the Sender User Agent from the document Header.

  Returns:
    String - The Sender User Agent from the document Header.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)